Bug Hunting Session
Bug 125445 - OOXML shapes 'gear6' and 'gear9' react badly on dragging adjustment handle
Summary: OOXML shapes 'gear6' and 'gear9' react badly on dragging adjustment handle
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) Windows (All)
: medium minor
Assignee: Regina Henschel
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-22 15:03 UTC by Regina Henschel
Modified: 2019-05-25 12:16 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
File with gear6 and gear9 test shapes (19.05 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2019-05-22 15:03 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2019-05-22 15:03:12 UTC
Created attachment 151597 [details]
File with gear6 and gear9 test shapes

Open attached document. It contains examples of the shapes 'gear6' and 'gear9'.
Portrait versions: Click the right handle and drag a little bit down. Notice, that the inner ellipse becomes wider instead of smaller.
Landscape versions: Drag the left handle to the left. Then drag the left handle to the right. Notice, that the handle sticks to the left position.

It is not severe, because 'gear6' and 'gear9' do not belong to the shape collection of PowerPoint. They are provided by SoftMaker.
Comment 1 Commit Notification 2019-05-24 10:19:36 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/24e0134c946e780d4439836c799459bcb0c415a4%5E%21

tdf#125445 Add methods for handles in gear6 and gear9 shapes

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Regina Henschel 2019-05-25 12:16:44 UTC
Fix is in Version: 6.3.0.0.alpha1+ (x64)
Build ID: 7f3d3e74fdcffb55da7fd7f55ac4c1f85d35745c
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-05-24_22:08:51
Locale: de-DE (en_US); UI-Language: en-US
Calc: threaded